Subject: bug#11083: closed (Re: bug#11083: guile-2.0.5 bug report)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 20 Jun 2016 19:32:02 +0000

Your bug report

#11083: Guile 2.0.5 on Solaris 10

which was filed against the guile package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
11083: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=11083
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#11083: guile-2.0.5 bug report
From: Andy Wingo <[email-masked]>
To: Kiyoshi KANAZAWA <[email-masked]>
Cc: Mark H Weaver <[email-masked]>, [email-masked], Ludovic Courtès <[email-masked]>
Date: Mon, 20 Jun 2016 21:31:14 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Closing as it's been 3 years without any update.  Please feel free to
test the latest 2.0.11 release from the 2.0 series and if you still see
the bug, let us know.

Cheers,

Andy

On Wed 13 Mar 2013 11:55, Andy Wingo <[email-masked]> writes:

> Hi Kiyoshi,
>
> We're following up on some bugs in anticipation of a 2.0.8 release.  Can
> you try the following tarball:
>
>   http://wingolog.org/priv/guile-2.0.7.194-dfd1d.tar.gz
>
> Git from stable-2.0 is fine as well.
>
> Thanks!
>
> Andy
>
> On Thu 05 Jul 2012 23:24, Andy Wingo <[email-masked]> writes:
>
>> On Fri 13 Apr 2012 18:23, Kiyoshi KANAZAWA <[email-masked]> writes:
>>
>>> I downloaded the latest snapshot "guile-2.0.5.100-0f6dd" and tryed making.
>>> The result is:
>>> (1) with -m64
>>> make passed, and "make check " also passed except for 1 FAIL:
>>> FAIL: time.test: strftime: C99 %z format: EST+5
>>
>> Do you have any more details on this test?
>>
>>> (2) with -m32
>>> Failed with Segmentation Fault as:
>>> make[3]: Entering directory `/tmp/guile-2.0.5.100-0f6dd'
>>> Testing /tmp/guile-2.0.5.100-0f6dd/meta/guile ...
>>> with GUILE_LOAD_PATH=/tmp/guile-2.0.5.100-0f6dd/test-suite
>>> /bin/bash: line 5: 14661 Segmentation Fault      (core dumped) CHARSETALIASDIR="/tmp/guile-2.0.5.100-0f6dd/lib" ${dir}$tst
>>> FAIL: check-guile
>>>
>>> This is less inportant because it occurs in "make check" phase, not in "make" phase.
>>>
>>>   [1] __cexp(0x0, 0x0, 0xf01b866e, 0x400921f9, 0x6, 0x89b1f20), at 0xfe801928 
>>> =>[2] scm_exp(z = (nil)), line 167 in "numbers.c"
>>
>> What can the meaning of this be?
>>
>> Regards,
>>
>> Andy

Subject: guile-2.0.5 bug report
From: Kiyoshi KANAZAWA <[email-masked]>
To: [email-masked]
Date: Sat, 24 Mar 2012 11:48:01 +0900 (JST)
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I'm trying to install guile-2.0.5 on Solaris 10 x86-64 system.
I have some problems.

(1) make fails with threads
make fails with configure CC="gcc -I/usr/local/GNU/include -L/usr/local/GNU/lib" --prefix=/usr/local/GNU
make stops with messages as:
make[3]: Entering directory `/tmp/guile-2.0.5/libguile'
  CCLD   guile
Undefined                       first referenced
 symbol                             in file
GC_unregister_my_thread             ./.libs/libguile-2.0.so
GC_register_my_thread               ./.libs/libguile-2.0.so
GC_pthread_create                   ./.libs/libguile-2.0.so
GC_pthread_detach                   ./.libs/libguile-2.0.so
ld: fatal: symbol referencing errors. No output written to .libs/guile
collect2: ld returned 1 exit status

libgc.a, libgc.la, libgc.so, libgc.so.1, libgc.so.1.0.3 can be found on /usr/local/GNU/lib.

(2) make passes with --without-threads but Segmentation Fault occur in make check
make succeeds with configure --without-threads CC="gcc -I/usr/local/GNU/include -L/usr/local/GNU/lib" --prefix=/usr/local/GNU
But, make check failes as:
Testing /tmp/guile-2.0.5/meta/guile ...
with GUILE_LOAD_PATH=/tmp/guile-2.0.5/test-suite
/bin/bash: line 5: 29264 Segmentation Fault      CHARSETALIASDIR="/tmp/guile-2.0.5/lib" 
${dir}$tst
FAIL: check-guile
==================================
1 of 1 test failed
Please report to [email-masked]
==================================

(3) guile does not go correctly if LANG is not C
Installed guile ignoring the result of make check, and ran guile --version with some LANG environment.
(3-1) LANG=C
% guile --version
guile (GNU Guile) 2.0.5
Copyright (C) 2011 Free Software Foundation, Inc.

License LGPLv3+: GNU LGPL 3 or later <http://gnu.org/licenses/lgpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
(3-2) LANG=ja
guile --version
Backtrace:
In ice-9/boot-9.scm:
 149: 2 [catch #t #<catch-closure 81ce670> ...]
 157: 1 [#<procedure 81938c0 ()>]
In unknown file:
   ?: 0 [catch-closure]

ERROR: In procedure catch-closure:
ERROR: Throw to key `decoding-error' with args `("scm_from_stringn" "input locale conversion error" 22 #vu8(45 45 118 101 114 115 105 111 110))'.
(3-3) LANG=es
guile --version
Backtrace:
In ice-9/boot-9.scm:
 149: 2 [catch #t #<catch-closure 81ce670> ...]
 157: 1 [#<procedure 81938c0 ()>]
In unknown file:
   ?: 0 [catch-closure]

ERROR: In procedure catch-closure:
ERROR: Throw to key `decoding-error' with args `("scm_from_stringn" "input locale conversion error" 22 #vu8(45 45 118 101 114 115 105 111 110))'.

Best regards,

--- Kiyoshi <[email-masked]>